#264 scriptOnGrid=1 still tries to submit jobs instead or printing

consensus
closed-out-of-date
5
2015-02-02
2014-01-28
yasir s
No

I am trying to use CA on an SGE grid. I want to submit a job, and then have it print out the qsub commands when there are parallel jobs to be run. This is the job that I submitted:

cd work/pacbio
~/software/wgs-8.1/Linux-amd64/bin/runCA -d run1 -p pre1 useGrid=1 scriptOnGrid=0 pb1.frg

However, when I run it, it tries to submit the job and ends with an error since qsub is not visible to jobs running on the compute nodes in my SGE setup.

These are the errors shown:

----------------------------------------END Sat Jan  4 12:57:07 2014 (1 seconds)
Created 39 overlap jobs.  Last batch '001', last job '000039'.
----------------------------------------START Sat Jan  4 12:57:07 2014
qsub   -cwd -N "ovl_pre1" -t 1-39 \
  -j y -o /diag/home/yasirs/work/pacbio/run1/0-overlaptrim-overlap/\$TASK_ID.out \
  /diag/home/yasirs/work/pacbio/run1/0-overlaptrim-overlap/overlap.sh

sh: qsub: command not found
----------------------------------------END Sat Jan  4 12:57:07 2014 (0 seconds)
ERROR: Failed with signal 127
================================================================================

runCA failed.

----------------------------------------
Stack trace:

 at /diag/home/yasirs/software/wgs-8.1/Linux-amd64/bin/runCA line 1501
        main::caFailure('Failed to submit batch jobs.') called at /diag/home/yasirs   /software/wgs-8.1/Linux-amd64/bin/runCA line 37
        main::submitBatchJobs('qsub   -cwd -N "ovl_pre1" -t 1-39 \\x{a}  -j y -o /diag/home/yasi...', 'ovl_pre1') called at /diag/home/yasirs/software/wgs-8.1/Linux-amd64/bin/runCA line 3701
        main::createOverlapJobs('trim') called at /diag/home/yasirs/software/wgs-8.1/Linux-amd64/bin/runCA line 3954
        main::overlapTrim() called at /diag/home/yasirs/software/wgs-8.1/Linux-amd64/bin/runCA line 6308

----------------------------------------
Failure message:

Failed to submit batch jobs.

The input file (pb1.frg) is attached, but it doesn't have any grid options in it.

1 Attachments

Discussion

  • yasir s

    yasir s - 2014-01-28

    Looking deeper in the code, it seems that the behavior may be controlled by the different options like mbtOnGrid, ovlOnGrid, cnsOnGrid.

     
  • Brian Walenz

    Brian Walenz - 2014-01-30

    I'm unable to reproduce this here, probably due to SGE/UGE differences.

    Can you change src/AS_RUN/runCA.pl line 36 from:

    if (runningOnGrid()) {
    

    to

    if (getGlobal("scriptOnGrid") == 1) {
    

    then 'gmake', verify that Linux-amd64/bin/runCA has the change, and try again?

     
  • Brian Walenz

    Brian Walenz - 2015-02-02

    Closed. No reply.

     
  • Brian Walenz

    Brian Walenz - 2015-02-02
    • status: open --> closed-out-of-date
    • assigned_to: Brian Walenz
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks